Subject: bug#41723: 26.3; Enable replying to an ical event even when not an attendee

From: "Basil L. Contovounesios" <[email-masked]>
Date: Fri, 05 Jun 2020 18:58:48 +0100

reassign 41723 gnus,emacs
tags 41723 + patch
quit

Christophe Troestler <[email-masked]> writes:

> When one receives en ical event and the user identity is not present in the
> attendee list, an error is triggered making replying to such an event impossible
> (the reply message not being even composed).  This patch replaces it with a
> warning.  This is necessary because one may receive (I just did) events that the
> organizer did not set up well and it is up to the user (not Emacs) to decide
> whether or not to reply to them.

Thanks.  Sounds fine to me, but I'm not familiar with this part of Gnus,
so I can only offer a couple of nitpicks.

> From a7c5289908d40b54e0c474b970d3f3786bc941af Mon Sep 17 00:00:00 2001
> From: Christophe Troestler <[email-masked]>
> Date: Fri, 5 Jun 2020 17:35:48 +0200
> Subject: [PATCH] Enable replying to an ical event even when not an attendee
> Content-Type: text/plain; charset="utf-8"
>
> When the user identity is not present in the attendee list, an error
> is triggered making replying to such an event impossible (the reply
> message not being even composed).  This replaces it with a warning.
> This is necessary because one may receive events that the organizer
> did not set up well and it is up to the user to decide whether or not
> to reply to them.

The commit message conventions followed by Emacs are described in the
file CONTRIBUTE and also under (info "(emacs) Format of ChangeLog").
It's fine to include the free-standing prose, but the commit message
should also mention the file and definition being changed, e.g.:

* lisp/gnus/gnus-icalendar.el
(gnus-icalendar-event--build-reply-event-body): Display a warning
instead of barfing when user is missing from attendee list.

> diff --git a/lisp/gnus/gnus-icalendar.el b/lisp/gnus/gnus-icalendar.el
> index 305e17fd8f..f7b9a954d6 100644
> --- a/lisp/gnus/gnus-icalendar.el
> +++ b/lisp/gnus/gnus-icalendar.el
> @@ -312,7 +312,8 @@ gnus-icalendar-event--build-reply-event-body
>  
>        (unless (gnus-icalendar-find-if (lambda (x) (string-match "^ATTENDEE" x))
>  				      reply-event-lines)
> -        (error "Could not find an event attendee matching given identity"))
> +        (lwarn 'gnus :warning
                  ^^^^^
Why not 'gnus-icalendar instead?

> +               "Could not find an event attendee matching given identity"))

-- 
Basil